Can't enable FTP

  • Hi,


    I can't enable ftp. Whatever I do. I'm getting this error when only clicking on enable ftp and then saving.

    No idea what to do.


    Code
    Failed to execute command 'export PATH=/bin:/sbin:/usr/bin:/usr/sbin:/usr/local/bin:/usr/local/sbin; export LANG=C.UTF-8; export LANGUAGE=; omv-salt deploy run --no-color avahi 2>&1' with exit code '1': Traceback (most recent call last): File "/sbin/omv-salt", line 152, in <module> sys.exit(main()) File "/sbin/omv-salt", line 147, in main cli() File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 1130, in __call__ return self.main(*args, **kwargs) File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 1055, in main rv = self.invoke(ctx) File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 1657, in invoke return _process_result(sub_ctx.command.invoke(sub_ctx)) File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 1657, in invoke return _process_result(sub_ctx.command.invoke(sub_ctx)) File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 1404, in invoke return ctx.invoke(self.callback, **ctx.params) File "/usr/local/lib/python3.9/dist-packages/click/core.py", line 760, in invoke return __callback(*args, **kwargs) File "/sbin/omv-salt", line 133, in deploy_run caller = salt.client.Caller(mopts=mopts) File "/usr/lib/python3/dist-packages/salt/client/__init__.py", line 2098, in __init__ import salt.minion File "/usr/lib/python3/dist-packages/salt/minion.py", line 36, in <module> import salt.pillar File "/usr/lib/python3/dist-packages/salt/pillar/__ini...
    • New
    • Official Post

    This is a bug. I can't save any settings at all related to ftp

    Did you install any python packages from the command line? This can cause many problems especially if pip is used.

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • New
    • Official Post

    Yes I have installed something with python, ever. Also with pip. Shouldn't be an issue. Python is widely used.

    You are incorrect. OMV's salt modules depend on the Debian supplied version. If you install a newer (or older) version, it can and has caused problems. This is not a bug with OMV. If you need python apps, run them in docker to keep from breaking OMV.

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • New
    • Official Post

    So what's the solution?

    Remove what you have installed that conflicts with OMV.


    An operation system which you can't install anything on other than docker. Great

    I never said you can't install *anything* else but evidently you are installing something newer that OMV uses and that newer package causes problems with OMV. Feel free to submit a pull request to "fix" but this is a common problem with python in general.


    Enterprise software avoids this by keep a separate version of the software instead of system wide. That would be a major pain in the ass for OMV considering there is only one dev. If you had a commercial NAS, you probably wouldn't be able to install software either.

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • New
    • Official Post

    I uninstalled all the packages from requirements.txt from something I installed a few weeks ago. Rebooted. Error is still there.

    Since I have no idea what you have done, it makes it hard to recommend what to do. If you installed a pip package that replaced files installed by a debian package, you will probably have to reinstall the debian python package. Based on the error in your original post, I would try:


    sudo apt-get install --reinstall python3-click


    You might need to do the following after that:


    sudo /usr/bin/salt-call --local saltutil.clear_cache

    sudo omv-salt stage run prepare

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • New
    • Official Post

    What are the required python packages and their versions?

    At least these packages (version would be the latest version in the Debian 11 repo)

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Omg this broke even more things.

  • These are packages I installed a few weeks ago. Only then the latest versions instead of these obsolete ones. And just now I uninstalled all of them.

    • New
    • Official Post

    Omg this broke even more things.

    The openmediavault package is just not fully installed because the click package failed to reinstall. You evidently installed more than one package with pip that OMV uses.


    I assume you don't have a backup. But as I said, I am just guessing what to have you try since I don't know what you installed. If something breaks, not sure what to tell you. Up to you if you want to try to reinstall all of the python packages OMV needs:


    sudo apt-get install --reinstall python3-dialog python3-dbus python3-apt python3-pyudev  python3-natsort python3-netifaces python3-lxml salt-minion python3-click python3-cached-property python3-polib python3-requests python3-jinja2 python3-urllib3

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

    • New
    • Official Post

    That command gives me the same error.

    I would reinstall OMV.

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

  • Omg wtf. This is so annoying. A few updates to python packages breaks an entire operation system. I have backups of all the important stuff but not a full image backup.

    • New
    • Official Post

    Omg wtf. This is so annoying. A few updates to python packages breaks an entire operation system

    The entire operating system is not broken. OMV is in a bad state but OMV is not an operating system. OMV is running on Debian. I could fix the system myself but I don't have the time to do the back and forth to fix your system. I suggest reinstalling because it is much less work for me. And you updated some of the primary python packages that OMV and saltstack rely on. This would break a LOT of things.

    omv 6.0.46-5 Shaitan | 64 bit | 5.19 proxmox kernel | plugins :: omvextrasorg 6.1.1 | kvm 6.2.5 | mergerfs 6.3.3 | zfs 6.0.12
    omv-extras.org plugins source code and issue tracker - github


    Please try ctrl-shift-R and read this before posting a question.

    Please put your OMV system details in your signature.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!